1
nachiyam
installation and reunning errors
  • 2013/7/16 5:27

  • nachiyam

  • Just popping in

  • Posts: 1

  • Since: 2013/7/16


I am getting pagefull of these errors..

( ! ) Strict standards: Non-static method XoopsLoad::load() should not be called statically in F:\wamp\www\xoops\include\common.php on line 49
Call Stack
# Time Memory Function Location
1 0.0014 275000 {main}( ) ..\index.php:0
2 0.0025 293632 include( 'F:\wamp\www\xoops\mainfile.php' ) ..\index.php:22
3 0.0058 385080 include( 'F:\wamp\www\xoops\include\common.php' ) ..\mainfile.php:75

( ! ) Strict standards: Non-static method XoopsLoad::loadCore() should not be called statically in F:\wamp\www\xoops\class\xoopsload.php on line 71
Call Stack
# Time Memory Function Location
1 0.0014 275000 {main}( ) ..\index.php:0
2 0.0025 293632 include( 'F:\wamp\www\xoops\mainfile.php' ) ..\index.php:22
3 0.0058 385080 include( 'F:\wamp\www\xoops\include\common.php' ) ..\mainfile.php:75
4 0.0105 456624 XoopsLoad::load( )
...
......
........ etc etc
can you pls help in this matter

during installation also these were seen , but i ignored , and the installation was ok

2
redheadedrod
Re: installation and reunning errors

You need to turn off Strict reporting in your php.ini file. This should not be an issue when 2.6 is finished but is an issue with the 2.5.x and older versions.

You will want to reinstall from scratch to insure it was properly installed once you have turned off the strict reporting.

Look for a line that looks something similar to:
error_reporting = E_ALL

and change this to:
error_reporting = E_ALL & ~E_STRICT

If your line is something different make sure you have the & ~E_STRICT portion added to it. If you have E-STRICT in this line now then just add the ~ in front of it.

3
zyspec
Re: installation and reunning errors
  • 2013/7/16 13:15

  • zyspec

  • Module Developer

  • Posts: 1093

  • Since: 2004/9/21


Which version of PHP / XOOPS / MySQL are you using? I believe this should have been fixed in XOOPS 2.5.6

4
redheadedrod
Re: installation and reunning errors

zyspec, I don't believe the strict stuff was touched in any of the 2.5 branch. 2.5.6 and 2.5.7 were only created to make them more compatible with newer PHP versions and to fix bugs and security flaws.

The Strict stuff required some major recoding which I don't believe was done until 2.6. I am sure Mamba can correct me if I am wrong but as I said, I don't believe anything prior to 2.6 will pass the strict reporting.

So in either case the modification of the php.ini as mentioned above is the correct resolution of this.

5
Mamba
Re: installation and reunning errors
  • 2013/7/16 19:06

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


Quote:
I am sure Mamba can correct me if I am wrong but as I said, I don't believe anything prior to 2.6 will pass the strict reporting.

Yes, you're wrong on this

PHP 5.4 combines E_ALL and E_STRICT, i.e. XOOPS 2.5.6 was specifically developed to address "E_STRICT" issues, and all of them should be fixed and let run XOOPS 2.5.6+ on PHP 5.4 without any E_STRICT errors.

BTW - I also tested XOOPS 2.5.6 on PHP 5.5 and it also runs without any problems, except notices about deprecated functions that have been deprecated in PHP 5.5 (see this message).

For comparison, if you run XOOPS 2.5.5, or any of the current XOOPS forks, you'll have tons of E_STRICT errors.

Please note: all our modules in the upcoming Basic Module Pack are also tested on PHP 5.4 to make sure that there are no E_STRICT errors. We also recommend all module developers to test their modules on PHP 5.4+ because it is less forgiving than PHP 5.3 and it shows many errors that PHP 5.3 would miss.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

6
redheadedrod
Re: installation and reunning errors

I stand corrected and learned something new today.. ;)

I would rather be wrong and get corrected and learn from it than assume, never share and be wrong forever.

7
Mamba
Re: installation and reunning errors
  • 2013/7/16 19:21

  • Mamba

  • Moderator

  • Posts: 11245

  • Since: 2004/4/23


Quote:
I would rather be wrong and get corrected and learn from it than assume, never share and be wrong forever.

Well said! That's EXACTLY the attitude we all should have here on these forums!
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Login

Username:
Password:

Lost Password? Register now!

Who's Online

65 user(s) are online (40 user(s) are browsing Support Forums)


Members: 0


Guests: 65


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: May 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits